Skip to main content

Update Project (V2)

This operation updates the name and description of a specified project.

PATCH/v2/projects/{projectId}
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
OrgIdstringheaderrequired

The organization ID of the project.

Example Value: org-xxxxxxxxxxxxxxxxxxx
projectIdstringpathrequired

The ID of the project to update.

Example Value: proj-xxxxxxxxxxxxxxxxxxx
Request Body
projectNamestring

The new name of the project. The value cannot be an empty string

descriptionstring

The new description of the project. The value can be an empty string.

bash
export TOKEN="YOUR_API_KEY"
export projectId="proj-xxxxxxxxxxxxxxxxxxx"

curl --request PATCH \
--url "${BASE_URL}/v2/projects/${projectId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"projectName": "New Project Name",
"description": "This is a new description of the project."
}'
bash
export TOKEN="YOUR_API_KEY"
export projectId="proj-xxxxxxxxxxxxxxxxxxx"

curl --request PATCH \
--url "${BASE_URL}/v2/projects/${projectId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"projectName": "New Project Name"
}'
bash
export TOKEN="YOUR_API_KEY"
export projectId="proj-xxxxxxxxxxxxxxxxxxx"

curl --request PATCH \
--url "${BASE_URL}/v2/projects/${projectId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"description": "This is a new description of the project."
}'
Responses

None

A success response

codeinteger

Response code.

Example Value: 0
datastring

A string 'ok' indicating the project is updated successfully.

A failure response.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 0,
"data": "ok"
}
Ctrl I